cmake_minimum_required(VERSION 3.23)

project(complexNumbers
  LANGUAGES CXX
  VERSION 1.0.0
  DESCRIPTION "A simple C++ library for complex numbers"
)

# include custom options
include(cmake/options.cmake)

# create complex number library target
include(cmake/makeLibrary.cmake)

# go through the complexNumberLib/ subdirectory and add any files to the library as needed
add_subdirectory(complexNumberLib)

# create the documentation if requested
include(cmake/docs.cmake)

# install the library and its headers
include(cmake/install.cmake)

# package the project with a cross-platform GUI installer
include(cmake/packaging.cmake)